Get Appliance Stats.

Prev Next
Get
Deprecated
/stats/appliances

Get Stats and status of the active appliances. This API makes the controller to query every active appliance for status. The operation may take long if one or more appliances take long to respond.

Note: if identical filter keys are chained with '&', the first filter is applied and the rest are ignored.

Deprecated as of 6.3. Use /appliances/status instead.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

Active Appliances stats.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
controllerCount
number

The number of active Appliances with the Controller role enabled.

Example2.0
gatewayCount
number

The number of active Appliances with the Gateway role enabled.

Example12.0
applianceCount
number

The number of active Appliances in total.

Example14.0
logServerCount
number

The number of active Appliances with the LogServer role enabled.

Example1.0
logForwarderCount
number

The number of active Appliances with the LogForwarder role enabled.

Example0.0
connectorCount
number

The number of active Appliances with the Connector role enabled.

Example6.0
portalCount
number

The number of active Appliances with the Portal role enabled.

Example6.0
data
Array of object
object

An active Appliance status details.

id
string (uuid)

ID of the Appliance.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the Appliance.

ExampleController1
siteName
string

Name of the Site for this Appliance.

ExampleDefault Site
tags
Array of string

Tags of the Appliance.

Example[ "developer", "api-created" ]
string
online
boolean Deprecated

Whether the Appliance is reachable by the Controller or not. Deprecated as of 5.1. "status" field will be set to "offline" instead.

version
string

The Appliance build version.

Example4.2.0-12161-release
state
string

State of the Appliance. For internal use.

Examplecontroller_ready
volumeNumber
number

The volume number in use.

Example1.0
status
string

Aggregated status of the Appliance.

Valid values[ "healthy", "busy", "warning", "error", "n/a", "offline" ]
function
string

Comma-separated list of functions enabled on this Appliance in short format.

ExampleCTR, GW, LS
controller
object
status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
maintenanceMode
boolean

Whether the maintenance mode is active or not on this Controller.

databaseSize
string

Database size.

logServer
object (ApplianceRole)

Status of the given role for an Appliance.

status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
logForwarder
object (ApplianceRole)

Status of the given role for an Appliance.

status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
gateway
object
status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
numberOfSessions
integer

Number of active sessions on the Gateway or Portal.

Example156
connector
object
status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
numberOfSessions
integer

Number of active sessions on the Gateway or Portal.

Example156
portal
object
status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
numberOfSessions
integer

Number of active sessions on the Gateway or Portal.

Example156
appliance
object
status
string

Status of the role.

Valid values[ "healthy", "busy", "warning", "error", "n/a" ]
details
string

Optional details for extra information like error messages.

ExampleCannot reach appliance. Please check Controller logs.
logDestination
string

Where the audit logs being sent to.

numberOfSessions
integer

Number of sessions on Gateway, Portal or Connector.

Example241
cpu
number (float)

Current CPU utilization % on the Appliance.

Example1.2
memory
number (float)

Current memory reserved % on the Appliance.

Example21.5
disk
number (float)

Current disk usage % on the Appliance.

Example1.2
diskInfo
object

Disk usage information.

total
number (long)

Total disk space in bytes.

Example20735209472.0
used
number (long)

Used disk space in bytes.

Example120324096.0
free
number (long)

Free disk space in bytes.

Example19537997824.0
network
object

Current network utilization on the Appliance.

busiestNic
string

The name of the NIC that's most used.

Exampleeth1
dropin
number

Number of inbound packets dropped for the whole uptime.

Example2563.0
dropout
number

Number of outbound packets dropped for the whole uptime.

Example120.0
rxSpeed
string

The speed of the inbound network activity on the busiest NIC. The average is taken for the last 10 seconds.

Example5.77 Kbps
txSpeed
string

The speed of the outbound network activity on the busiest NIC. The average is taken for the last 10 seconds.

Example8.53 Kbps
ips
object

IPs of the Appliance per NIC.

Example{ "eth0": [ "10.0.0.1", "abba::cafe" ], "eth1": [ "200.123.123.12" ] }
property*
Array of string additionalProperties
string
upgrade
object

Upgrade Status if there is one going.

status
string

The Upgrade status

Exampleinstalling
details
string

Optional details for the current Upgrade Status.

Examplea reboot is required for the upgrade to go into effect
customizationName
string

The name of the Appliance Customization if one is assigned to this Appliance.

ExampleMyAgent
406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.